## gspiceui 0.9.99+dfsg

=== Makefile ===
#******************************************************************************
#                                  Makefile                                   *
#                                 ----------                                  *
# Description : Makefile for GNU Spice GUI project house-keeping.             *
# Started     : 08/01/2004                                                    *
# Last update : 05/02/2010                                                    *
# Copyright   : (C) 2004 by MSWaters                                          *
# Email       : M.Waters@bom.gov.au                                           *
#******************************************************************************

#******************************************************************************
#                                                                             *
#     This program is free software; you can redistribute it and/or modify    *
#     it under the terms of the GNU General Public License as published by    *
#     the Free Software Foundation; either version 2 of the License, or       *
#     (at your option) any later version.                                     *
#                                                                             *
#******************************************************************************

#******************************************************************************
# Specify string values
#******************************************************************************

# Root directory
ROOT := $(shell pwd)

# Install directory
INSTALLDIR = /usr/local

#******************************************************************************
# Make these targets
#******************************************************************************

all :
	$(MAKE) config
	cd $(ROOT)/src ; $(MAKE)

#******************************************************************************
# Calculate the size of the various sources making up this project
#******************************************************************************

size :
	$(ROOT)/charcnt >> charcnt.txt

#******************************************************************************
# Create an archive of the essential project files as follows :
#
#   1.  Change the make variable "DIR" (below) to the current version number.
#   2.  Execute "make tar" from the project root directory.
#******************************************************************************

TAR_NAME=gspiceui-v0.9.99
TAR_DEST= $(TAR_NAME)/$(TAR_NAME).tar.gz
TAR_SRCS =$(TAR_NAME)/Authors
TAR_SRCS+=$(TAR_NAME)/ChangeLog
TAR_SRCS+=$(TAR_NAME)/Install
TAR_SRCS+=$(TAR_NAME)/License
TAR_SRCS+=$(TAR_NAME)/Makefile
TAR_SRCS+=$(TAR_NAME)/ReadMe
TAR_SRCS+=$(TAR_NAME)/ToDo
TAR_SRCS+=$(TAR_NAME)/gspiceui.1
TAR_SRCS+=$(TAR_NAME)/gspiceui.lsm
TAR_SRCS+=$(TAR_NAME)/src/*
TAR_SRCS+=$(TAR_NAME)/html/Makefile
TAR_SRCS+=$(TAR_NAME)/html/*.html
TAR_SRCS+=$(TAR_NAME)/html/*.jpeg
TAR_SRCS+=$(TAR_NAME)/sch/Makefile
TAR_SRCS+=$(TAR_NAME)/sch/*/*.sch
TAR_SRCS+=$(TAR_NAME)/lib/Makefile
TAR_SRCS+=$(TAR_NAME)/lib/*/*.mod
TAR_SRCS+=$(TAR_NAME)/lib/sym/*
TAR_SRCS+=$(TAR_NAME)/mac/Info.plist
TAR_SRCS+=$(TAR_NAME)/mac/GSpiceUI.icns
TAR_SRCS+=$(TAR_NAME)/fig/Makefile
TAR_SRCS+=$(TAR_NAME)/fig/*.fig

tar :
	make clean
	cd fig ; make ; cd ..
	cd .. ; mv gspiceui $(TAR_NAME)
	cd .. ; tar --totals --exclude .svn -zcf $(TAR_DEST) $(TAR_SRCS)
	cd .. ; mv $(TAR_NAME) gspiceui

#******************************************************************************
# Perform configuration tasks
#******************************************************************************

# Everyone should call this once
config :
ifneq ($(ROOT)/bin,$(wildcard $(ROOT)/bin))
	mkdir $(ROOT)/bin
endif
ifneq ($(ROOT)/src/obj,$(wildcard $(ROOT)/src/obj))
	mkdir $(ROOT)/src/obj
endif

# You should also call this once if running on a MAC
maccfg : $(ROOT)/mac/Info.plist $(ROOT)/mac/GSpiceUI.icns
ifneq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
	-mkdir $(ROOT)/GSpiceUI.app
	-mkdir $(ROOT)/GSpiceUI.app/Contents
	-mkdir $(ROOT)/GSpiceUI.app/Contents/MacOS
	-mkdir $(ROOT)/GSpiceUI.app/Contents/Resources
	cp $(ROOT)/mac/Info.plist $(ROOT)/GSpiceUI.app/Contents/
	echo -n 'APPL????' > $(ROOT)/GSpiceUI.app/Contents/PkgInfo
	cp $(ROOT)/mac/GSpiceUI.icns $(ROOT)/GSpiceUI.app/Contents/Resources/
endif

#******************************************************************************
# Perform installation tasks
#******************************************************************************

install :
	mkdir -p     $(INSTALLDIR)/share/gspiceui
	cp ReadMe    $(INSTALLDIR)/share/gspiceui
	cp Install   $(INSTALLDIR)/share/gspiceui
	cp ChangeLog $(INSTALLDIR)/share/gspiceui
	mkdir -p     $(INSTALLDIR)/share/gspiceui/icons
	cp src/icons/gspiceui-*.xpm $(INSTALLDIR)/share/gspiceui/icons
	mkdir -p $(INSTALLDIR)/share/man/man1
	cp gspiceui.1 $(INSTALLDIR)/share/man/man1
	cd $(ROOT)/src  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
	cd $(ROOT)/html ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)

#******************************************************************************
# Perform uninstall tasks
#******************************************************************************

uninstall :
	rm -fr $(INSTALLDIR)/share/gspiceui
	rm -f  $(INSTALLDIR)/share/man/man1/gspiceui.1
	cd $(ROOT)/src  ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)
	cd $(ROOT)/html ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)

#******************************************************************************
# Remove temporary files and backup files
#******************************************************************************

clean :
	rm -f Makefile~ charcnt~
	cd $(ROOT)/src  ; $(MAKE) clean
	cd $(ROOT)/html ; $(MAKE) clean
	cd $(ROOT)/sch  ; $(MAKE) clean

#******************************************************************************
# Specify phony targets
#******************************************************************************

.PHONY : size tar config install uninstall clean

#******************************************************************************

=== src/Makefile ===
#******************************************************************************
#                                  Makefile                                   *
#                                 ----------                                  *
# Description : Builds the GNU Spice GUI (gSpiceUI) C++ source files.         *
# Started     : 18/08/2003                                                    *
# Last update : 16/04/2010                                                    *
# Copyright   : (C) 2003 by MSWaters                                          *
# Email       : M.Waters@bom.gov.au                                           *
#******************************************************************************

#******************************************************************************
#                                                                             *
#     This program is free software; you can redistribute it and/or modify    *
#     it under the terms of the GNU General Public License as published by    *
#     the Free Software Foundation; either version 2 of the License, or       *
#     (at your option) any later version.                                     *
#                                                                             *
#******************************************************************************

#******************************************************************************
# Any or all of the values in this section may be set below or on the command
# line when envoking make eg. :
#
#   make GSPICEUI_DBG=1 GSPICEUI_WXLIB=2.6
#
# Note : Values specified on the command line over-ride those specified below.
#******************************************************************************

# Create bin file containing debug info. (ie. for gdb)
GSPICEUI_DBG = 0

# Specify the version of the wxWidgets library to compile against
GSPICEUI_WXLIB = 2.8

#******************************************************************************
# Specify string values
#******************************************************************************

# Which compiler
CC = g++

# Application name
PROG = gspiceui

# wxWidgets configuration utility
# (Arguments can be passed to wx-config to specify the version of wxWidgets to
# use, whether unicode is required, etc.)
WXCFG = wx-config --unicode --version=$(GSPICEUI_WXLIB)

# Dependency file
DEPS = Makefile.deps

# Directories
#ROOT     := $(shell cd .. ; pwd)
ROOT       = ..
SRCDIR     = $(ROOT)/src
OBJDIR     = obj
BINDIR     = $(ROOT)/bin
INSTALLDIR = /usr/local/bin

# Compiler options
ifeq ($(GSPICEUI_DBG),0)
  # Options for release (not using -Wall since it's GCC specific)
  CXXFLAGS := -O -pipe $(shell $(WXCFG) --cxxflags)
else
  # Options for development
  CXXFLAGS := -Wall -g -pipe $(shell $(WXCFG) --cxxflags)
endif

# Includes
INCLUDES = -I/usr/include -I/usr/X11R6/include -I.

# Libraries
# (The pkg-config stuff was requested by a user, somehow pangox was missing)
LIBS := $(shell $(WXCFG) --libs core,base,html) $(shell pkg-config --libs pangox)

# Objects
OBJS := $(wildcard *.cpp) $(wildcard */*.cpp) $(wildcard */*/*.cpp)
OBJS := $(notdir $(OBJS))
OBJS := $(patsubst %.cpp, obj/%.o, $(OBJS))
OBJS += obj/iStrCmp.o

# Set search paths for the specific file types
vpath  %.cpp  base main netlist process utility                       \
              ngspice ngspice/commands ngspice/dialogs ngspice/panels \
              gnucap  gnucap/commands  gnucap/dialogs  gnucap/panels
vpath  %.c    utility

#******************************************************************************
# Make these targets
#******************************************************************************

all : $(OBJS) $(BINDIR)/$(PROG)

# Compiler Rules :
#   $<  is the name of the first dependency
#   $@  is the file name of the target
#   -c  compile only, don't link, produces object file ie. <name>.o files
#   -o  place output file in $@

obj/%.o : %.cpp
	$(CC) -c $(CXXFLAGS) $(INCLUDES) $< -o $@
obj/%.o : %.c
	$(CC) -c $(CXXFLAGS) $(INCLUDES) $< -o $@

# Linker Rules :
#   -pipe  use pipes rather temporary files for interprocess communications
#   -o     specify the output file name

$(BINDIR)/$(PROG) : $(OBJS)
	$(CC) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LIBS)
ifeq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
	cp $(BINDIR)/$(PROG) $(ROOT)/GSpiceUI.app/Contents/MacOS/gspiceui
endif

#******************************************************************************
# Dependencies
#******************************************************************************

ifeq ($(DEPS),$(wildcard $(DEPS)))
  include $(DEPS)
endif

#******************************************************************************
# Create the file containing dependency information
#******************************************************************************

deps :
	$(CC) -MM -D wxCHECK_VERSION="" -I. *.cpp */*.cpp */*/*.cpp */*.c | \
	gawk 'BEGIN {} { printf "%s%s\n", (index($$0," ")!=1 ? "$(OBJDIR)/" : ""), $$0 }' \
	> $(DEPS)

#******************************************************************************
# Test utilities
#******************************************************************************

tests : ../bin/testnetlist   ../bin/testcomponent ../bin/testconverttype \
	      ../bin/testcmdngsopt ../bin/testcmdngspr  ../bin/testcmdngsdc    \
	      ../bin/testcmdngsac  ../bin/testcmdngstr  ../bin/testcmdgcpopt   \
	      ../bin/testcmdgcppr  ../bin/testcmdgcpop  ../bin/testcmdgcpdc    \
	      ../bin/testcmdgcpac  ../bin/testcmdgcptr  ../bin/testcmdgcpfo    \
	      ../bin/testcmdgcpgen

../bin/testnetlist     : NetList.cpp Component.cpp iStrCmp.c ConvertType.cpp  \
                         TypeDefs.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_NETLIST     $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcomponent   : Component.cpp ConvertType.cpp iStrCmp.c
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_COMPONENT   $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testconverttype : ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CONVERTTYPE $(INCLUDES) $^ -o $@ $(LIBS)

../bin/testcmdngsopt   : CmdNgSpiceOPT.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSOPT   $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdngspr    : CmdNgSpicePR.cpp CmdBase.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSPR    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdngsdc    : CmdNgSpiceDC.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSDC    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdngsac    : CmdNgSpiceAC.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSAC    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdngstr    : CmdNgSpiceTR.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSTR    $(INCLUDES) $^ -o $@ $(LIBS)

../bin/testcmdgcpopt   : CmdGnuCapOPT.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPOPT   $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdgcppr    : CmdGnuCapPR.cpp CmdBase.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPPR    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdgcpop    : CmdGnuCapOP.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPOP    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdgcpdc    : CmdGnuCapDC.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPDC    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdgcpac    : CmdGnuCapAC.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPAC    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdgcptr    : CmdGnuCapTR.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPTR    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdgcpfo    : CmdGnuCapFO.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPFO    $(INCLUDES) $^ -o $@ $(LIBS)
../bin/testcmdgcpgen   : CmdGnuCapGEN.cpp CmdBase.cpp ConvertType.cpp
	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPGEN   $(INCLUDES) $^ -o $@ $(LIBS)

#******************************************************************************
# Install the application
#******************************************************************************

install :
	cp ../bin/$(PROG) $(INSTALLDIR)/bin

#******************************************************************************
# Uninstall the application
#******************************************************************************

uninstall :
	rm -f $(INSTALLDIR)/bin/$(PROG)

#******************************************************************************
# Remove old versions of the main application binary and object files
#******************************************************************************

clean :
	rm -f $(BINDIR)/$(PROG) $(OBJDIR)/*.o

#******************************************************************************
# Remove old versions of test application binaries
#******************************************************************************

cleantests :
	rm -f $(BINDIR)/test*

#******************************************************************************
# Remove old versions of test application binaries
#******************************************************************************

cleanall : clean cleantests

#******************************************************************************
# Specify phony targets (ie. targets which are not files)
#******************************************************************************

.PHONY : deps tests install uninstall clean cleantests cleanall

#******************************************************************************

=== debian/changelog ===
gspiceui (0.9.99+dfsg-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove README.source
  * Bump standards version to 3.9.1
  * Upgrade copyright file to new standard
  * Fix make clean target

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 24 Mar 2011 07:11:16 +0100

gspiceui (0.9.98.dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3, no changes needed
  * Add get-orig-source target
  * Add patch 03_fix_xpm_header to fix xpm file
  * Add a README.source file
  * Add debian-science Vcs fields

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Nov 2009 09:42:46 +0100

gspiceui (0.9.65.dfsg-2) unstable; urgency=low

  * Bump standards version to 3.8.0. No changes needed.
  * Fix watch file
  * Add desktop file (Closes: #488281)
  * Add a patch to fix manpage, 02_manpage

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 26 Aug 2008 08:07:43 +0200

gspiceui (0.9.65.dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standards to 3.7.3. No changes needed
  * Changed doc-base section to Applications/Science/Electronics

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 28 May 2008 10:01:39 +0200

gspiceui (0.9.55.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 21 Nov 2007 00:06:52 +0100

gspiceui (0.9.33.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #440553)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 04 Nov 2007 17:21:03 +0100

=== debian/control ===
Source: gspiceui
Section: electronics
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 5), libwxbase2.8-dev, libwxgtk2.8-dev, quilt
Standards-Version: 3.9.1
Homepage: http://www.geda.seul.org/tools/gspiceui/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/gspiceui/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/gspiceui/trunk
DM-Upload-Allowed: yes

Package: gspiceui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gwave, geda-gschem, geda-gnetlist
Recommends: gnucap
Suggests: ngspice
Description: A graphical user interface for gnucap and ngspice
 Gspiceui is a graphichal user interface for the two freely available
 electronic circuit engines: GNU-Cap and Ng-Spice
 Current features are:
  * Import gschem schematic files using gentlist.
  * Load and parse circuit description (net list) files.
  * Provides a GUI interface for GNU-Cap OP, DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * Provides a GUI interface for Ng-Spice DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * The raw output may be viewed for any processes initiated by gspiceui. 
  * Formatting of simulator output so that it may be plotted using gwave

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) INSTALLDIR=$(CURDIR)/debian/gspiceui/usr install
	rm -f debian/gspiceui/usr/share/gspiceui/INSTALL
	mv -f debian/gspiceui/usr/share/gspiceui/* debian/gspiceui/usr/share/doc/gspiceui/
	rmdir debian/gspiceui/usr/share/gspiceui
	mkdir -p debian/gspiceui/usr/share/pixmaps
	cp src/icons/gspiceui-32x32.xpm debian/gspiceui/usr/share/pixmaps

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
	uscan --force-download --rename --download-version=$$VER --destdir=. && (\
	tar -xz --exclude lib -f gspiceui_$$VER.orig.tar.gz ; \
	mv gspiceui-v$$VER gspiceui-$$VER+dfsg;\
	tar -czf gspiceui_$$VER+dfsg.orig.tar.gz gspiceui-$$VER+dfsg; \
	rm -rf gspiceui-$$VER+dfsg ;\
	rm -f gspiceui_$$VER.orig.tar.gz);

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gspiceui 1.0.00%2Bdfsg

=== debian/changelog ===
gspiceui (1.0.00+dfsg-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Comment out patch 04_close_pipe.diff. Already in upstream
  * Bump standards version to 3.9.3
  * Minor fix to 02_manpage patch
  * Add build-arch and build-indep targets
  * Change desktop category from Science to Engineering;Electronics
  * Minor fix to manpage
  * Remove duplicate changelog file.
  * Install gspiceui.desktop file (Closes: #584154)
  * Add LDFLAGS --as-needed to remove unneeded dependencies
  * Remove quilt build dependency

  [ Andreas Tille ]
  * debian/rules: take some effort to make a more reproducable orig
    tarball
  * debian/control: Fixed Vcs field

  [ Gudjon I. Gudjonsson ]
  * Add a lintian override file
  * Bump debhelper version to >=8
  * Change copyright format do DEP5
  * Edit README.Debian

  [ Andreas Tille ]
  * Better fit the DEP5 specification, verified using
      cme fix dpkg-copyright

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 07 May 2012 18:01:38 +0200

## gspiceui 1.0.00+dfsg

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #                                 ----------                                  *
 # Description : Makefile for GNU Spice GUI project house-keeping.             *
 # Started     : 08/01/2004                                                    *
-# Last update : 05/02/2010                                                    *
+# Last update : 29/09/2011                                                    *
 # Copyright   : (C) 2004 by MSWaters                                          *
 # Email       : M.Waters@bom.gov.au                                           *
 #******************************************************************************
@@ -18,14 +18,30 @@
 #******************************************************************************
 
 #******************************************************************************
+# Any or all of the values in this section may be set below or on the command
+# line when envoking make eg. :
+#
+#   make INSTALLDIR=/new/dest/dir install
+#   make INSTALLDIR=/new/dest/dir uninstall
+#
+# Note : Values specified on the command line over-ride those specified below.
+#******************************************************************************
+
+#DESTDIR = /new/dest/dir
+
+# Install directory
+ifndef DESTDIR
+  INSTALLDIR = /usr/local
+else
+  INSTALLDIR = $(DESTDIR)
+endif
+
+#******************************************************************************
 # Specify string values
 #******************************************************************************
 
 # Root directory
 ROOT := $(shell pwd)
-
-# Install directory
-INSTALLDIR = /usr/local
 
 #******************************************************************************
 # Make these targets
@@ -40,16 +56,16 @@
 #******************************************************************************
 
 size :
-	$(ROOT)/charcnt >> charcnt.txt
+	$(ROOT)/charcnt.sh >> charcnt.txt
 
 #******************************************************************************
 # Create an archive of the essential project files as follows :
 #
-#   1.  Change the make variable "DIR" (below) to the current version number.
+#   1.  Change the make variable "TAR_NAME" (below) to the current version no.
 #   2.  Execute "make tar" from the project root directory.
 #******************************************************************************
 
-TAR_NAME=gspiceui-v0.9.99
+TAR_NAME=gspiceui-v1.0.00
 TAR_DEST= $(TAR_NAME)/$(TAR_NAME).tar.gz
 TAR_SRCS =$(TAR_NAME)/Authors
 TAR_SRCS+=$(TAR_NAME)/ChangeLog
@@ -63,10 +79,11 @@
 TAR_SRCS+=$(TAR_NAME)/src/*
 TAR_SRCS+=$(TAR_NAME)/html/Makefile
 TAR_SRCS+=$(TAR_NAME)/html/*.html
-TAR_SRCS+=$(TAR_NAME)/html/*.jpeg
+TAR_SRCS+=$(TAR_NAME)/html/*.jpg
 TAR_SRCS+=$(TAR_NAME)/sch/Makefile
 TAR_SRCS+=$(TAR_NAME)/sch/*/*.sch
 TAR_SRCS+=$(TAR_NAME)/lib/Makefile
+TAR_SRCS+=$(TAR_NAME)/lib/*/*.ckt
 TAR_SRCS+=$(TAR_NAME)/lib/*/*.mod
 TAR_SRCS+=$(TAR_NAME)/lib/sym/*
 TAR_SRCS+=$(TAR_NAME)/mac/Info.plist
@@ -121,6 +138,8 @@
 	cp gspiceui.1 $(INSTALLDIR)/share/man/man1
 	cd $(ROOT)/src  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
 	cd $(ROOT)/html ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
+	cd $(ROOT)/sch  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
+	cd $(ROOT)/lib  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
 
 #******************************************************************************
 # Perform uninstall tasks
@@ -129,8 +148,6 @@
 uninstall :
 	rm -fr $(INSTALLDIR)/share/gspiceui
 	rm -f  $(INSTALLDIR)/share/man/man1/gspiceui.1
-	cd $(ROOT)/src  ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)
-	cd $(ROOT)/html ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)
 
 #******************************************************************************
 # Remove temporary files and backup files
@@ -138,9 +155,10 @@
 
 clean :
 	rm -f Makefile~ charcnt~
-	cd $(ROOT)/src  ; $(MAKE) clean
+	cd $(ROOT)/src  ; $(MAKE) cleanall
 	cd $(ROOT)/html ; $(MAKE) clean
 	cd $(ROOT)/sch  ; $(MAKE) clean
+	cd $(ROOT)/lib  ; $(MAKE) clean
 
 #******************************************************************************
 # Specify phony targets

=== fig/Makefile ===
#******************************************************************************
#                                  Makefile                                   *
#                                 ----------                                  *
# Description : Build system for GNU Spice GUI project xfig diagrams.         *
# Started     : 06/04/2004                                                    *
# Last update : 27/09/2011                                                    *
# Copyright   : (C) 2004 by MSWaters                                          *
# Email       : M.Waters@bom.gov.au                                           *
#******************************************************************************

#******************************************************************************
#                                                                             *
#     This program is free software; you can redistribute it and/or modify    *
#     it under the terms of the GNU General Public License as published by    *
#     the Free Software Foundation; either version 2 of the License, or       *
#     (at your option) any later version.                                     *
#                                                                             *
#******************************************************************************

#******************************************************************************
# Specify string values
#******************************************************************************

# Which figure translator
TRANS = fig2dev

# Directories
ROOT := $(shell cd .. ; pwd)
OBJDIR = $(ROOT)/html

# Objects
OBJS := $(patsubst %.fig,$(OBJDIR)/%.jpg,$(wildcard *.fig))

#******************************************************************************
# Make these targets
#******************************************************************************

all : $(OBJS)

# Compiler Rules
# ($< is the name of the first dependency)
# ($@ is the file name of the target)
# (-L is the output graphics language)
# (-m is the magnification at which the figure is rendered)

$(OBJDIR)/%.jpg : %.fig
	$(TRANS) -L jpeg -m 1.0 $< $@

#******************************************************************************
# Remove temporary files and backup files
#******************************************************************************

clean :
	rm -f Makefile~ *.bak $(OBJDIR)/OM-*.jpg

#******************************************************************************
# Specify phony targets
#******************************************************************************

.PHONY : clean

#******************************************************************************

=== html/Makefile ===
#******************************************************************************
#                                  Makefile                                   *
#                                 ----------                                  *
# Description : House-keeping for the GNU Spice GUI project documentation     *
#               HTML files                                                    *
# Started     : 06/04/2004                                                    *
# Last update : 27/09/2011                                                    *
# Copyright   : (C) 2004 by MSWaters                                          *
# Email       : M.Waters@bom.gov.au                                           *
#******************************************************************************

#******************************************************************************
#                                                                             *
#     This program is free software; you can redistribute it and/or modify    *
#     it under the terms of the GNU General Public License as published by    *
#     the Free Software Foundation; either version 2 of the License, or       *
#     (at your option) any later version.                                     *
#                                                                             *
#******************************************************************************

#******************************************************************************
# Specify string values
#******************************************************************************

# Root directory
ROOT := $(shell cd .. ; pwd)

# Install directory
INSTALLDIR = /usr/local

#******************************************************************************
# Make these targets
#******************************************************************************

all :

#******************************************************************************
# Perform installation tasks
#******************************************************************************

install :
	mkdir -p $(INSTALLDIR)/share/gspiceui/html
	cp $(ROOT)/html/*.html $(INSTALLDIR)/share/gspiceui/html
	cp $(ROOT)/html/*.jpg  $(INSTALLDIR)/share/gspiceui/html

#******************************************************************************
# Perform uninstall tasks
#******************************************************************************

uninstall :
	rm -fR $(INSTALLDIR)/share/gspiceui/html

#******************************************************************************
# Remove temporary files and backup files
#******************************************************************************

clean :
	rm -f Makefile~ *.html~

#******************************************************************************
# Specify phony targets
#******************************************************************************

.PHONY : install uninstall clean

#******************************************************************************

=== sch/Makefile ===
#******************************************************************************
#                                  Makefile                                   *
#                                 ----------                                  *
# Description : House-keeping for the GNU Spice GUI Project example schematic *
#               files.                                                        *
# Started     : 20/01/2004                                                    *
# Last update : 28/09/2011                                                    *
# Copyright   : (C) 2004 by MSWaters                                          *
# Email       : M.Waters@bom.gov.au                                           *
#******************************************************************************

#******************************************************************************
#                                                                             *
#     This program is free software; you can redistribute it and/or modify    *
#     it under the terms of the GNU General Public License as published by    *
#     the Free Software Foundation; either version 2 of the License, or       *
#     (at your option) any later version.                                     *
#                                                                             *
#******************************************************************************

#******************************************************************************
# Specify string values
#******************************************************************************

# Root directory
ROOT := $(shell pwd)

# Objects
OBJS := $(patsubst %.sch, %.ckt, $(wildcard */*.sch))

# Install directory
INSTALLDIR = /usr/local

#******************************************************************************
# Make these targets
#******************************************************************************

all : $(OBJS)

# Schematic to netlist conversion rules :
#   -v  verbose mode (gives as much feedback to the user as possible)
#   -q  quiet   mode (turns off all warnings / notes / messages)
#   -g  the guile procedure executed to create the netlist
#   -o  place output file in $@
#   $<  is the name of the first dependency
#   $@  is the file name of the target

%.ckt : %.sch
	@cd $(dir $<) ; gnetlist -g spice-sdb -o $(notdir $@) $(notdir $<)
	@echo

#******************************************************************************
# Perform installation tasks
#******************************************************************************

install :
	cp -r $(ROOT) $(INSTALLDIR)/share/gspiceui

#******************************************************************************
# Perform uninstall tasks
#******************************************************************************

uninstall :
	rm -fr $(INSTALLDIR)/share/gspiceui/sch

##******************************************************************************
# Remove temporary files and backup files
#******************************************************************************

clean :
	rm -f Makefile~ */*.gnucap.?? */*.ngspice.?? */*.ckt */*.sim */*.log */*.sch~

#******************************************************************************
# Specify phony targets
#******************************************************************************

.PHONY : install uninstall clean

#******************************************************************************

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #                                 ----------                                  *
 # Description : Builds the GNU Spice GUI (gSpiceUI) C++ source files.         *
 # Started     : 18/08/2003                                                    *
-# Last update : 16/04/2010                                                    *
+# Last update : 12/08/2011                                                    *
 # Copyright   : (C) 2003 by MSWaters                                          *
 # Email       : M.Waters@bom.gov.au                                           *
 #******************************************************************************
@@ -21,12 +21,12 @@
 # Any or all of the values in this section may be set below or on the command
 # line when envoking make eg. :
 #
-#   make GSPICEUI_DBG=1 GSPICEUI_WXLIB=2.6
+#   make GSPICEUI_DBG=1 GSPICEUI_WXLIB=2.9
 #
 # Note : Values specified on the command line over-ride those specified below.
 #******************************************************************************
 
-# Create bin file containing debug info. (ie. for gdb)
+# Create bin file containing debug information (ie. for gdb)
 GSPICEUI_DBG = 0
 
 # Specify the version of the wxWidgets library to compile against
@@ -45,7 +45,7 @@
 # wxWidgets configuration utility
 # (Arguments can be passed to wx-config to specify the version of wxWidgets to
 # use, whether unicode is required, etc.)
-WXCFG = wx-config --unicode --version=$(GSPICEUI_WXLIB)
+WXCFG = /usr/bin/wx-config --unicode --version=$(GSPICEUI_WXLIB)
 
 # Dependency file
 DEPS = Makefile.deps
@@ -61,7 +61,7 @@
 # Compiler options
 ifeq ($(GSPICEUI_DBG),0)
   # Options for release (not using -Wall since it's GCC specific)
-  CXXFLAGS := -O -pipe $(shell $(WXCFG) --cxxflags)
+  CXXFLAGS := -Ofast -pipe $(shell $(WXCFG) --cxxflags)
 else
   # Options for development
   CXXFLAGS := -Wall -g -pipe $(shell $(WXCFG) --cxxflags)
@@ -72,19 +72,18 @@
 
 # Libraries
 # (The pkg-config stuff was requested by a user, somehow pangox was missing)
-LIBS := $(shell $(WXCFG) --libs core,base,html) $(shell pkg-config --libs pangox)
+LIBS := $(shell $(WXCFG) --libs core,base,html) \
+        $(shell pkg-config --libs-only-l pangox)
 
 # Objects
 OBJS := $(wildcard *.cpp) $(wildcard */*.cpp) $(wildcard */*/*.cpp)
 OBJS := $(notdir $(OBJS))
 OBJS := $(patsubst %.cpp, obj/%.o, $(OBJS))
-OBJS += obj/iStrCmp.o
 
 # Set search paths for the specific file types
-vpath  %.cpp  base main netlist process utility                       \
-              ngspice ngspice/commands ngspice/dialogs ngspice/panels \
-              gnucap  gnucap/commands  gnucap/dialogs  gnucap/panels
-vpath  %.c    utility
+vpath   %.cpp   base main netlist process utility                       \
+                ngspice ngspice/commands ngspice/dialogs ngspice/panels \
+                gnucap  gnucap/commands  gnucap/dialogs  gnucap/panels
 
 #******************************************************************************
 # Make these targets
@@ -100,8 +99,7 @@
 
 obj/%.o : %.cpp
 	$(CC) -c $(CXXFLAGS) $(INCLUDES) $< -o $@
-obj/%.o : %.c
-	$(CC) -c $(CXXFLAGS) $(INCLUDES) $< -o $@
+	@echo
 
 # Linker Rules :
 #   -pipe  use pipes rather temporary files for interprocess communications
@@ -126,7 +124,7 @@
 #******************************************************************************
 
 deps :
-	$(CC) -MM -D wxCHECK_VERSION="" -I. *.cpp */*.cpp */*/*.cpp */*.c | \
+	$(CC) -MM -D wxCHECK_VERSION="" -I. *.cpp */*.cpp */*/*.cpp | \
 	gawk 'BEGIN {} { printf "%s%s\n", (index($$0," ")!=1 ? "$(OBJDIR)/" : ""), $$0 }' \
 	> $(DEPS)
 
@@ -139,49 +137,53 @@
 	      ../bin/testcmdngsac  ../bin/testcmdngstr  ../bin/testcmdgcpopt   \
 	      ../bin/testcmdgcppr  ../bin/testcmdgcpop  ../bin/testcmdgcpdc    \
 	      ../bin/testcmdgcpac  ../bin/testcmdgcptr  ../bin/testcmdgcpfo    \
-	      ../bin/testcmdgcpgen
-
-../bin/testnetlist     : NetList.cpp Component.cpp iStrCmp.c ConvertType.cpp  \
-                         TypeDefs.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_NETLIST     $(INCLUDES) $^ -o $@ $(LIBS)
-../bin/testcomponent   : Component.cpp ConvertType.cpp iStrCmp.c
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_COMPONENT   $(INCLUDES) $^ -o $@ $(LIBS)
+	      ../bin/testcmdgcpgen ../bin/teststrutils
+
+../bin/testnetlist     : NetList.cpp Component.cpp StrUtils.cpp TypeDefs.cpp \
+                         ConvertType.cpp
+	$(CC) $(CXXFLAGS) -D TEST_NETLIST     $(INCLUDES) $^ -o $@ $(LIBS)
+../bin/testcomponent   : Component.cpp ConvertType.cpp StrUtils.cpp
+	$(CC) $(CXXFLAGS) -D TEST_COMPONENT   $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testconverttype : ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CONVERTTYPE $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CONVERTTYPE $(INCLUDES) $^ -o $@ $(LIBS)
+../bin/teststrutils    : StrUtils.cpp Component.cpp ConvertType.cpp
+	$(CC) $(CXXFLAGS) -D TEST_STRUTILS    $(INCLUDES) $^ -o $@ $(LIBS)
 
 ../bin/testcmdngsopt   : CmdNgSpiceOPT.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSOPT   $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSOPT   $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngspr    : CmdNgSpicePR.cpp CmdBase.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSPR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSPR    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngsdc    : CmdNgSpiceDC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSDC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSDC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngsac    : CmdNgSpiceAC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSAC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSAC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngstr    : CmdNgSpiceTR.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSTR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSTR    $(INCLUDES) $^ -o $@ $(LIBS)
 
 ../bin/testcmdgcpopt   : CmdGnuCapOPT.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPOPT   $(INCLUDES) $^ -o $@ $(LIBS)
-../bin/testcmdgcppr    : CmdGnuCapPR.cpp CmdBase.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPPR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPOPT   $(INCLUDES) $^ -o $@ $(LIBS)
+../bin/testcmdgcppr    : CmdGnuCapPR.cpp CmdBase.cpp NetList.cpp TypeDefs.cpp \
+                         ConvertType.cpp Component.cpp StrUtils.cpp
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPPR    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpop    : CmdGnuCapOP.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPOP    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPOP    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpdc    : CmdGnuCapDC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPDC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPDC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpac    : CmdGnuCapAC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPAC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPAC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcptr    : CmdGnuCapTR.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPTR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPTR    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpfo    : CmdGnuCapFO.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPFO    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPFO    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpgen   : CmdGnuCapGEN.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPGEN   $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPGEN   $(INCLUDES) $^ -o $@ $(LIBS)
 
 #******************************************************************************
 # Install the application
 #******************************************************************************
 
 install :
+	mkdir -p $(INSTALLDIR)/bin
 	cp ../bin/$(PROG) $(INSTALLDIR)/bin
 
 #******************************************************************************
@@ -190,12 +192,13 @@
 
 uninstall :
 	rm -f $(INSTALLDIR)/bin/$(PROG)
+#	rmdir --ignore-fail-on-non-empty $(INSTALLDIR)/bin
 
 #******************************************************************************
 # Remove old versions of the main application binary and object files
 #******************************************************************************
 
-clean :
+clean : cleantests
 	rm -f $(BINDIR)/$(PROG) $(OBJDIR)/*.o
 
 #******************************************************************************

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: electronics
 Priority: optional
 Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 5), libwxbase2.8-dev, libwxgtk2.8-dev, quilt
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), libwxbase2.8-dev, libwxgtk2.8-dev
+Standards-Version: 3.9.3
 Homepage: http://www.geda.seul.org/tools/gspiceui/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/gspiceui/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-science/packages/gspiceui/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/gspiceui/trunk
 DM-Upload-Allowed: yes
 
@@ -14,7 +14,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, gwave, geda-gschem, geda-gnetlist
 Recommends: gnucap
 Suggests: ngspice
-Description: A graphical user interface for gnucap and ngspice
+Description: Graphical user interface for gnucap and ngspice
  Gspiceui is a graphichal user interface for the two freely available
  electronic circuit engines: GNU-Cap and Ng-Spice
  Current features are:

=== debian/rules ===
--- 
+++ 
@@ -12,24 +12,28 @@
 	CFLAGS += -O2
 endif
 
-build: build-stamp
-
-build-stamp:
+build: build-arch build-indep
+build-arch: build-arch-stamp
+build-arch-stamp:
 	dh_testdir
 	$(MAKE)
 	touch $@
 
+build-indep: build-indep-stamp
+build-indep-stamp:
+
+
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f *-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	$(MAKE) INSTALLDIR=$(CURDIR)/debian/gspiceui/usr install
 	rm -f debian/gspiceui/usr/share/gspiceui/INSTALL
@@ -37,6 +41,9 @@
 	rmdir debian/gspiceui/usr/share/gspiceui
 	mkdir -p debian/gspiceui/usr/share/pixmaps
 	cp src/icons/gspiceui-32x32.xpm debian/gspiceui/usr/share/pixmaps
+	mkdir -p debian/gspiceui/usr/share/applications
+	cp debian/gspiceui.desktop debian/gspiceui/usr/share/applications/
+	rm -f debian/gspiceui/usr/share/doc/gspiceui/ChangeLog
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -52,6 +59,7 @@
 	dh_installmenu
 	dh_installman
 	dh_link
+	dh_lintian
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -66,7 +74,7 @@
 	uscan --force-download --rename --download-version=$$VER --destdir=. && (\
 	tar -xz --exclude lib -f gspiceui_$$VER.orig.tar.gz ; \
 	mv gspiceui-v$$VER gspiceui-$$VER+dfsg;\
-	tar -czf gspiceui_$$VER+dfsg.orig.tar.gz gspiceui-$$VER+dfsg; \
+	GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -czf gspiceui_$$VER+dfsg.orig.tar.gz gspiceui-$$VER+dfsg; \
 	rm -rf gspiceui-$$VER+dfsg ;\
 	rm -f gspiceui_$$VER.orig.tar.gz);
